package com.zanxiang.sdk.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.client.RestTemplate;

/**
 * @author : lingfeng
 * @time : 2021-08-18
 * @description : redis配置
 */
@Configuration
public class RestTemplateConfig {

    @Bean
    public RestTemplate restTemplate() {
        return new RestTemplate();
//        SimpleClientHttpRequestFactory httpRequestFactory = new SimpleClientHttpRequestFactory();
//        SocketAddress address = new InetSocketAddress("localhost", 8888);
//        Proxy proxy = new Proxy(Proxy.Type.HTTP, address);
//        httpRequestFactory.setProxy(proxy);
//        RestTemplate restTemplate = new RestTemplate(httpRequestFactory);


        // 实体类序列化化 java.time包的问题
        /*List<HttpMessageConverter<?>> messageConverters = new ArrayList<>();
        MappingJackson2HttpMessageConverter jsonMessageConverter = new MappingJackson2HttpMessageConverter();
        jsonMessageConverter.setObjectMapper(JsonUtil.JACKSON);
        messageConverters.add(jsonMessageConverter);
        restTemplate.setMessageConverters(messageConverters);*/

//        return restTemplate;
    }
}
